<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing Blind Rop Attacks — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `probe --target <val> --method <val>` | Probe target stack layout remotely |
| `discover --target <val> --gadget_type <val>` | Discover ROP gadgets blindly |
| `exploit --target <val> --chain <val>` | Build and execute BROP chain |
| `report --target <val> --format <val>` | Generate BROP attack report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--target` | string | Yes | Target parameter |
| `--method` | string | Yes | Method parameter |
| `--gadget_type` | string | Yes | Gadget_Type parameter |
| `--chain` | string | Yes | Chain parameter |
| `--format` | string | Yes | Format parameter |
